## org.apache.wml
Interface WMLTimerElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLTimerElementImpl

public interface WMLTimerElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'timer' elements declares a card timer. (Section 11.6.7, WAP WML Version 16-Jun-1999)

Version:
  $Id: WMLTimerElement.java,v 1.1 2000/04/23 18:07:44 david Exp $
Author:
  David Li

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`void` `setName(java.lang.String newValue)` 'name' specifies the name of variable ot be set with the value of the timer.
`void` `setValue(java.lang.String newValue)` 'value' indicates teh default of the variable 'name' (Section 11.6.7, WAP WML Version 16-Jun-1999)

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### setName

    public void setName(java.lang.String newValue)

  'name' specifies the name of variable ot be set with the value of the timer. (Section 11.6.7, WAP WML Version 16-Jun-1999)

### getName

    public java.lang.String getName()

### setValue

    public void setValue(java.lang.String newValue)

  'value' indicates teh default of the variable 'name' (Section 11.6.7, WAP WML Version 16-Jun-1999)

### getValue

    public java.lang.String getValue()

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.